=== debian/control ===
Source: volk
Section: libdevel
Priority: extra
Maintainer: A. Maitland Bottoms <bottoms@debian.org>
Build-Depends: cmake,
               debhelper (>= 9.0.0~),
               dh-python,
               doxygen,
               libboost-filesystem-dev,
               libboost-program-options-dev,
               libboost-system-dev,
               libboost-test-dev,
               liborc-0.4-dev,
               pkg-config,
               python,
               python-cheetah
Standards-Version: 3.9.6
Homepage: http://libvolk.org
Vcs-Git: git://anonscm.debian.org/users/bottoms/pkg-volk.git
Vcs-Browser: http://anonscm.debian.org/cgit/users/bottoms/pkg-volk.git/

Package: libvolk1.1
Section: libs
Architecture: any
Pre-Depends: multiarch-support
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Recommends: libvolk1-bin
Suggests: libvolk1-dev
Description: vector optimized functions
 Vector-Optimized Library of Kernels is designed to help
 applications work with the processor's SIMD instruction sets. These are
 very powerful vector operations that can give signal processing a
 huge boost in performance.

Package: libvolk1-dev
Section: libdevel
Architecture: any
Pre-Depends: multiarch-support
Depends: libvolk1.1 (=${binary:Version}), ${misc:Depends}
Breaks: gnuradio-dev (<<3.7), libvolk-dev, libvolk1.0-dev
Replaces: libvolk-dev, libvolk1.0-dev
Description: vector optimized function headers
 Vector-Optimized Library of Kernels is designed to help
 applications work with the processor's SIMD instruction sets. These are
 very powerful vector operations that can give signal processing a
 huge boost in performance.
 .
 This package contains the header files.
 For documentation, see libvolk-doc.

Package: libvolk1-bin
Section: libs
Architecture: any
Pre-Depends: multiarch-support
Depends: libvolk1.1 (=${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Breaks: libvolk-bin, libvolk1.0-bin
Replaces: libvolk-bin, libvolk1.0-bin
Description: vector optimized runtime tools
 Vector-Optimized Library of Kernels is designed to help
 applications work with the processor's SIMD instruction sets. These are
 very powerful vector operations that can give signal processing a
 huge boost in performance.
 .
 This package includes the volk_profile tool.
