## volk 1.2.1

=== debian/changelog ===
volk (1.2.1-1) unstable; urgency=medium

  * New upstream release

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 07 Feb 2016 19:38:32 -0500

volk (1.2-1) unstable; urgency=medium

  * New upstream release

 -- A. Maitland Bottoms <bottoms@debian.org>  Thu, 24 Dec 2015 20:28:13 -0500

volk (1.1.1-5) experimental; urgency=medium

  * update to v1.1.1-22-gef53547 to support gnuradio 3.7.9

 -- A. Maitland Bottoms <bottoms@debian.org>  Fri, 11 Dec 2015 13:12:55 -0500

volk (1.1.1-4) unstable; urgency=medium

  * more lintian fixes

 -- A. Maitland Bottoms <bottoms@debian.org>  Wed, 25 Nov 2015 21:49:58 -0500

volk (1.1.1-3) unstable; urgency=medium

  * Lintian fixes Pre-Depends

 -- A. Maitland Bottoms <bottoms@debian.org>  Thu, 19 Nov 2015 21:24:27 -0500

volk (1.1.1-2) unstable; urgency=medium

  * Note that libvolk1-dev replaces files in gnuradio-dev versions <<3.7.8
    (Closes: #802646) again. Thanks Andreas Beckmann.

 -- A. Maitland Bottoms <bottoms@debian.org>  Fri, 13 Nov 2015 18:45:49 -0500

volk (1.1.1-1) unstable; urgency=medium

  * New upstream release
  * New architectures exist for the AVX2 and FMA ISAs.
  * The profiler now generates buffers that are vlen + a tiny amount and
    generates random data to fill buffers. This is intended to catch bugs
    in protokernels that write beyond num_points.
  * Note that libvolk1-dev replaces files in earlier gnuradio-dev versions
    (Closes: #802646)

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 01 Nov 2015 18:45:43 -0500

volk (1.1-4) unstable; urgency=medium

  * update to v1.1-12-g264addc

 -- A. Maitland Bottoms <bottoms@debian.org>  Tue, 29 Sep 2015 23:41:50 -0400
