=== debian/control ===
--- 
+++ 
@@ -22,7 +22,7 @@
 Package: libvolk1.1
 Section: libs
 Architecture: any
-Pre-Depends: multiarch-support
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Multi-Arch: same
 Recommends: libvolk1-bin
@@ -34,12 +34,11 @@
  huge boost in performance.
 
 Package: libvolk1-dev
-Section: libdevel
 Architecture: any
-Pre-Depends: multiarch-support
+Pre-Depends: ${misc:Pre-Depends}
 Depends: libvolk1.1 (=${binary:Version}), ${misc:Depends}
-Breaks: gnuradio-dev (<<3.7), libvolk-dev, libvolk1.0-dev
-Replaces: libvolk-dev, libvolk1.0-dev
+Breaks: gnuradio-dev (<<3.7.8), libvolk-dev, libvolk1.0-dev
+Replaces: gnuradio-dev (<<3.7.8), libvolk-dev, libvolk1.0-dev
 Description: vector optimized function headers
  Vector-Optimized Library of Kernels is designed to help
  applications work with the processor's SIMD instruction sets. These are
@@ -52,7 +51,7 @@
 Package: libvolk1-bin
 Section: libs
 Architecture: any
-Pre-Depends: multiarch-support
+Pre-Depends: ${misc:Pre-Depends}
 Depends: libvolk1.1 (=${binary:Version}),
          ${misc:Depends},
          ${python:Depends},
