=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/volk-$1.tar.gz/ \
  https://github.com/gnuradio/volk/tags .*/v?(\d\S*)\.tar\.gz
