## volk 1.2.2

=== debian/changelog ===
volk (1.2.2-2) unstable; urgency=medium

  * update to v1.2.2-11-g78c8bc4 (to follow gnuradio maint branch)

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 19 Jun 2016 14:44:15 -0400

volk (1.2.2-1) unstable; urgency=medium

  * New upstream release

 -- A. Maitland Bottoms <bottoms@debian.org>  Fri, 08 Apr 2016 00:12:10 -0400

volk (1.2.1-2) unstable; urgency=medium

  * Upstream patches:
    Fix some CMake complaints
    The fix for compilation with cmake 3.5

 -- A. Maitland Bottoms <bottoms@debian.org>  Wed, 23 Mar 2016 17:47:54 -0400
