=== debian/changelog ===
volk (1.3-3) unstable; urgency=medium

  * update to v1.3-23-g0109b2e
  * update debian/libvolk1-dev.abi.tar.gz.amd64
  * Add breaks/replaces gnuradio (<=3.7.2.1) (LP: #1614235)

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 04 Feb 2018 13:12:21 -0500

volk (1.3-2) unstable; urgency=medium

  * update to v1.3-16-g28b03a9
    apps: fix profile update reading end of lines
    qa: lower tolerance for 32fc_mag to fix issue #96
  * include upstream master patch to sort input files

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 27 Aug 2017 13:44:55 -0400

volk (1.3-1) unstable; urgency=medium

  * New upstream release
  * The index_max kernels were named with the wrong output datatype. To
    fix this there are new kernels that return a 32u (int32_t) and the
    existing kernels had their signatures changed to return 16u (int16_t).
  * The output to stdout and stderr has been shuffled around. There is no
    longer a message that prints what VOLK machine is being used and the
    warning messages go to stderr rather than stdout.
  * The 32fc_index_max kernels previously were only accurate to the SSE
    register width (4 points). This was a pretty serious and long-lived
    bug that's been fixed and the QA updated appropriately.

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat, 02 Jul 2016 16:30:47 -0400
