=== debian/control ===
--- 
+++ 
@@ -14,12 +14,12 @@
                pkg-config,
                python,
                python-cheetah
-Standards-Version: 3.9.6
+Standards-Version: 4.1.3
 Homepage: http://libvolk.org
-Vcs-Git: git://anonscm.debian.org/users/bottoms/pkg-volk.git
-Vcs-Browser: http://anonscm.debian.org/cgit/users/bottoms/pkg-volk.git/
+Vcs-Browser: https://salsa.debian.org/bottoms/pkg-volk
+Vcs-Git: https://salsa.debian.org/bottoms/pkg-volk.git
 
-Package: libvolk1.1
+Package: libvolk1.3
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
@@ -36,9 +36,10 @@
 Package: libvolk1-dev
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: libvolk1.1 (=${binary:Version}), ${misc:Depends}
+Depends: libvolk1.3 (=${binary:Version}), ${misc:Depends}
 Breaks: gnuradio-dev (<<3.7.8), libvolk-dev, libvolk1.0-dev
 Replaces: gnuradio-dev (<<3.7.8), libvolk-dev, libvolk1.0-dev
+Multi-Arch: same
 Description: vector optimized function headers
  Vector-Optimized Library of Kernels is designed to help
  applications work with the processor's SIMD instruction sets. These are
@@ -52,12 +53,12 @@
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: libvolk1.1 (=${binary:Version}),
+Depends: libvolk1.3 (=${binary:Version}),
          ${misc:Depends},
          ${python:Depends},
          ${shlibs:Depends}
-Breaks: libvolk-bin, libvolk1.0-bin
-Replaces: libvolk-bin, libvolk1.0-bin
+Breaks: libvolk-bin, libvolk1.0-bin, gnuradio (<=3.7.2.1)
+Replaces: libvolk-bin, libvolk1.0-bin, gnuradio (<=3.7.2.1)
 Description: vector optimized runtime tools
  Vector-Optimized Library of Kernels is designed to help
  applications work with the processor's SIMD instruction sets. These are
