=== debian/rules ===
--- 
+++ 
@@ -12,3 +12,6 @@
 
 override_dh_auto_test:
 	- dh_auto_test -- CTEST_TEST_TIMEOUT=60
+
+override_dh_acc:
+	- dh_acc
