=== debian/watch ===
version=3
opts="pgpsigurlmangle=s/$/.asc/" \
  http://libvolk.org/releases/volk-(\d\S*)\.tar\.gz
